this site exists for reference purposes for all those interested in learning about the original hardware + software from the late 1980s + early 1990s thanks for visiting
Who | MIDI hardware | Software | TIMELINE | PCI | ISA | ATARI ST | DOS/PC | WIN/PC | MAC | Drums | Synths | Modules |Sequencers | Samplers | Tape Rec | Mix Consoles |
Artists | Recent | VST | ios inst | E-mu | Ensoniq | Akai "S" | Roland "MC" | MPCs | Roland "S" | Drum Machines | Roland JV Addons | early 90s Synths | late 80s synths
guests are encouraged to: REGISTER for permission to  view file attachments + add relevant videos, downloads, resources. (credit your SOURCE!).
to post a youtube video simply paste the url! the embed will be automatically added

Author Topic: Link to Imagelines older versions and installers page.  (Read 1032 times)

0 Members and 1 Guest are viewing this topic.

Offline iRelevant

  • Newbie
  • Posts: 35
  • Karma: +0/-0
Link to Imagelines older versions and installers page.
« on: August 18, 2017, 06:44:17 AM »
The page has a limited set of versions from v1.0 to the latest v12.5

https://support.image-line.com/knowledgebase/base.php?ans=300

Page may not be accessible without a user account with Image-Line.

Online chrisNova777

  • Administrator
  • Posts: 6259
  • Karma: +20/-0
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Re: Link to Imagelines older versions and installers page.
« Reply #1 on: August 18, 2017, 02:48:41 PM »
i was able to access the page just now without being logged in

Quote
Versions 8 and lower, can no longer be unlocked from your user account.
If you have an older version, please consider upgrading with your 'lifetime free updates' (LFU) or if you don't have LFU it is about USD $39 in our shop. If you have a backup flregkey.reg from one of these versions, it will still work, but we can no longer generate them, otherwise they will work in demo.

December 1997   v1.0    http://support.image-line.com/redirect/FLStudio_1_installer
September 2000   v2.71   http://support.image-line.com/redirect/FLStudio_2_installer
July 2002         v3.5.6   http://support.image-line.com/redirect/FLStudio_3_installer
July 2003         v4.1.2   http://support.image-line.com/redirect/FLStudio_4_installer
March 2004      v4.5.2   http://support.image-line.com/redirect/FLStudio_4-5_installer
Jan 2005         v5.0.2   http://support.image-line.com/redirect/FLStudio_5_installer
Jan 2006         v.6.0.8b   http://support.image-line.com/redirect/FLStudio_6_installer
Jan 2007         v7.0.2   http://support.image-line.com/redirect/FLStudio_7_installer
June 2008      v8.0.2   http://support.image-line.com/redirect/FLStudio_8_installer

Offline iRelevant

  • Newbie
  • Posts: 35
  • Karma: +0/-0
Re: Link to Imagelines older versions and installers page.
« Reply #2 on: August 18, 2017, 06:08:30 PM »
Great. I thought it might be locked to forum members only or something.

Online chrisNova777

  • Administrator
  • Posts: 6259
  • Karma: +20/-0
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Re: Link to Imagelines older versions and installers page.
« Reply #3 on: August 18, 2017, 11:54:34 PM »
they are following suit frm ableton who did the same thing years ago making all of their versions installers available
for download


Offline iRelevant

  • Newbie
  • Posts: 35
  • Karma: +0/-0
Re: Link to Imagelines older versions and installers page.
« Reply #4 on: September 25, 2017, 06:05:14 PM »
Do you know if it is possible to use older Abelton version with current version licence ? I would like to try live 2.0.

Online chrisNova777

  • Administrator
  • Posts: 6259
  • Karma: +20/-0
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Re: Link to Imagelines older versions and installers page.
« Reply #5 on: September 28, 2017, 09:39:42 AM »
whats the point in trying live 2.0?
it lacks midi in version 2.0
so its 100% sample based instrument at that point basically

if u want to use a lower less-processor intensive version of live, live 4.14 would be the version to use
because of MIDI clips + VST instruments

Quote
Live 1        30 Oct 2001 win95/os8.6+
Live 1.5    28 Apr 2002 ?/os9.0+
Live 2    22 Dec 2002 ?/os9.1+
Live 2.1    24 Jul 2003
Live 3    10 Oct 2003
Live 4    28 Jul 2004

im sure theres more internal non-public reasons why they would want u to choose v4.14 aswell
they once offered me a lower 200$ price for buying v4 for use with older computer systems..
so they are somewhat reasonable in comparison to other companies
« Last Edit: September 29, 2017, 12:10:51 PM by chrisNova777 »

Online chrisNova777

  • Administrator
  • Posts: 6259
  • Karma: +20/-0
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Re: Link to Imagelines older versions and installers page.
« Reply #6 on: October 01, 2017, 03:32:42 PM »
Do you know if it is possible to use older Abelton version with current version licence ? I would like to try live 2.0.

i think if u contact ttheir support department they would be able to help you - yes.. they have offered me such things before... i own a license for the full product.

Offline iRelevant

  • Newbie
  • Posts: 35
  • Karma: +0/-0
Re: Link to Imagelines older versions and installers page.
« Reply #7 on: October 03, 2017, 07:32:47 PM »
There is no particular reason for the desire for v2.0 other than I accidentally found a demo version of it going through old CD'ROMs. Looked cute and simple. I have the lite version of live 9.x that came with a bundle, but I haven't really caught the live bug from it yet.
More wondering about the policy of Alberton :) with regard to licence to older versions, from what you are saying it sounds like it's possible to talk about it.
I've recently found out that some other companies have a really weird attitude to it, and get offended if you ask for an older version. What's wrong with our lates release kind of stuff. 
Thanks for the advise about Live 4.1 ... I will look into that when the time comes ... I'm more on an early start to Live ... and thought to start from the beginning ... wasn't aware of the limitations you mentioned.